API · Exit · Corporate Transactions
Revoke the data room file access.
Revoke an outstanding access grant.
Last updated
Path Parameters
idstringRequiredroom_idstringRequiredfile_idstringRequiredRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
access_grant_idstringRequiredResponse Body
application/json
application/problem+json
Request
curl -X POST "https://api.mattermode.com/v1/corporate_transactions/string/data_rooms/string/files/string/revoke_access" \ -H "Content-Type: application/json" \ -d '{ "access_grant_id": "string" }'const body = JSON.stringify({ "access_grant_id": "string"})fetch("https://api.mattermode.com/v1/corporate_transactions/string/data_rooms/string/files/string/revoke_access", { method: "POST", headers: { "Content-Type": "application/json" }, body})package mainimport ( "fmt" "net/http" "io/ioutil" "strings")func main() { url := "https://api.mattermode.com/v1/corporate_transactions/string/data_rooms/string/files/string/revoke_access" body := strings.NewReader(`{ "access_grant_id": "string" }`) req, _ := http.NewRequest("POST", url, body) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := ioutil.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body))}import requestsheaders = { "Authorization": "Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc", "Matter-Version": "2026-06-10", "Idempotency-Key": "ee7c3a9b-3f1a-4d8e-9b2a-7c5e1f0a2d4b",}payload = { "access_grant_id": "example"}resp = requests.post( "https://api.mattermode.com/v1/corporate_transactions/ctx_T6yLpQ2w/data_rooms/id_placeholder/files/id_placeholder/revoke_access", headers=headers, json=payload,)resp.raise_for_status()print(resp.json())import java.net.URI;import java.net.http.HttpClient;import java.net.http.HttpRequest;import java.net.http.HttpResponse;import java.net.http.HttpResponse.BodyHandlers;import java.time.Duration;import java.net.http.HttpRequest.BodyPublishers;var body = BodyPublishers.ofString("""{ "access_grant_id": "string"}""");HttpClient client = HttpClient.newBuilder() .connectTimeout(Duration.ofSeconds(10)) .build();HttpRequest.Builder requestBuilder = HttpRequest.newBuilder() .uri(URI.create("https://api.mattermode.com/v1/corporate_transactions/string/data_rooms/string/files/string/revoke_access")) .header("Content-Type", "application/json") .POST(body) .build();try { HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString()); System.out.println("Status code: " + response.statusCode()); System.out.println("Response body: " + response.body());} catch (Exception e) { e.printStackTrace();}using System;using System.Net.Http;using System.Text;var body = new StringContent("""{ "access_grant_id": "string"}""", Encoding.UTF8, "application/json");var client = new HttpClient();var response = await client.PostAsync("https://api.mattermode.com/v1/corporate_transactions/string/data_rooms/string/files/string/revoke_access", body);var responseBody = await response.Content.ReadAsStringAsync();curl --request POST 'https://api.mattermode.com/v1/corporate_transactions/ctx_T6yLpQ2w/data_rooms/id_placeholder/files/id_placeholder/revoke_access' \ --header 'Authorization: Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc' \ --header 'Matter-Version: 2026-06-10' \ --header 'Idempotency-Key: ee7c3a9b-3f1a-4d8e-9b2a-7c5e1f0a2d4b' \ --header 'Content-Type: application/json' \ --data '{ "access_grant_id": "example"}'const response = await fetch("https://api.mattermode.com/v1/corporate_transactions/ctx_T6yLpQ2w/data_rooms/id_placeholder/files/id_placeholder/revoke_access", { method: "POST", headers: { "Authorization": "Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc", "Matter-Version": "2026-06-10", "Idempotency-Key": "ee7c3a9b-3f1a-4d8e-9b2a-7c5e1f0a2d4b", "Content-Type": "application/json", }, body: JSON.stringify({ "access_grant_id": "example" }),});if (!response.ok) { throw new Error(`Matter API ${response.status}: ${await response.text()}`);}const data = await response.json();console.log(data);Response
application/json{
"id": "string",
"object": "document_access_grant",
"document_id": "string",
"data_room_id": "string",
"grantee_email": "user@example.com",
"grantee_stakeholder_id": "string",
"permissions": [
"view"
],
"status": "active",
"expires_at": 0,
"last_accessed_at": 0,
"access_count": 0,
"metadata": {
"customer_id": "cus_7Hpx9WxY",
"portfolio_tag": "y-combinator-w26"
},
"created": 0,
"updated": 0,
"livemode": true
}{
"type": "https://mattermode.com/docs/errors/not_found",
"title": "Not found",
"status": 404,
"code": "not_found",
"detail": "No entity with id `ent_Nq3KcAbc` is visible to this token.",
"doc_url": "https://mattermode.com/docs/guides/errors#not_found",
"request_id": "req_Qw9xYz8A"
}